#search-bar {
    display: flex;
    flex-direction: row;
    align-items: center;
    padding: 20px 15px;
}

#search-filter {
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 0.75rem;
}

#search-input {
    padding: 10px 16px;
    border: 1px solid #ccc;
    border-radius: 5px;
    font-size: 16px;
    color: #314b32;
    width: 320px;
    outline: none;
}

#search-input:focus {
    border-color: #314b32;
}

#locator-container {
    display: flex;
    flex-direction: row;
}

.card {
    padding: 2rem 1rem 1rem 1.5rem;
    line-height: 135%;
    margin: 1rem;
    color: #314b32 !important;
    box-shadow: 0px 2px 2px #314b32;
}

#map {
    height: 600px;
}

#cards-container {
    max-height: 610px;
    overflow-y: auto;
    padding: 0;
}

button {
    padding: 10px 20px;
    border: 1px solid #314b32;
    border-radius: 5px;
    background-color: #ffffff;
    color: #314b32;
    font-size: 16px;
    cursor: pointer;
    transition: background-color 0.3s, color 0.3s;
    font-weight: 700;
}

button:hover {
    background-color: rgb(26,73,52);
    color: #ffffff;
}

.search-button {
    border-radius: 30px;
    background-color: rgb(17,47,34);
    color: white;
}

.reset-button {
    background: whitesmoke !important;
    border: 2px solid rgb(17,47,34) !important;
    color: rgb(17,47,34) !important;
}

#company {
    font-weight: 700;
    font-size: 1.3em;
    padding-bottom: 0.3rem;
}

#address, #region {
    font-weight: 400;
    opacity: 0.7;
}

#telephone, #email, #website {
    font-weight: 500;
}

#region {
    margin-bottom: 1.5rem;
}

a {
    text-decoration: none !important;
}

#heading {
    margin-top: 1rem;
    padding-left: 15px;
    margin-right: 15px;
    padding-top: 1rem;
    background-color: rgb(215, 215, 215);
}

#categories {
    margin-left: 15px;
    margin-bottom: 1rem;
}

@media only screen and (max-width: 1240px) {

    #search-bar {
        flex-direction: column;
        align-items: flex-start;
        margin-bottom: 1rem;
    }

    #search-filter {
        flex-wrap: wrap;
    }

    #search-input {
        width: 100%;
    }

    #locator-container {
        flex-direction: column;
    }

    #cards-container {
        height: 500px;
        margin-bottom: 2rem;
    }

    #categories {
        text-align: center;
    }

    #company {
        white-space: nowrap;
        color: green;
        max-width: 400px;
    }
}

@media only screen and (max-width: 767px) {
    #cards-container {
        height: 220px;
        margin-bottom: 1rem;
    }
}
